﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewPlatformRevenueDataRecordsDb(engine *xorm.Engine) dao.PlatformRevenueDataRecordsDao {
	return &PlatformRevenueDataRecordsDb{Db: engine}
}

type PlatformRevenueDataRecordsDb struct {
	Db *xorm.Engine
}

func (p PlatformRevenueDataRecordsDb) PlatformRevenueDataRecordsGetLast(id int) (*model.PlatformRevenueDataRecords, error) {
	var m model.PlatformRevenueDataRecords
	has, err := p.Db.Where("records_id = ?", id).Desc("create_at").Get(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err.Error())
	}
	if !has {
		return nil, nil
	}
	return &m, nil
}

func (p PlatformRevenueDataRecordsDb) PlatformRevenueDataRecordsInsertBySession(session *xorm.Session, record model.PlatformRevenueDataRecords) (int, error) {
	_, err := session.InsertOne(record)
	if err != nil {
		return 0, zhios_order_relate_logx.Error(err.Error())
	}
	return record.Id, nil
}
