package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_utils "code.fnuoos.com/EggPlanet/egg_models.git/utils"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewUserFeedbackCateDb(engine *xorm.Engine) dao.UserFeedbackCateDao {
	return &UserFeedbackCateDb{Db: engine}
}

type UserFeedbackCateDb struct {
	Db *xorm.Engine
}

func (u UserFeedbackCateDb) GetUserFeedbackCate(id string) (m *model.UserFeedbackCate, err error) {
	m = new(model.UserFeedbackCate)
	has, err := u.Db.Where("id=?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
func (u UserFeedbackCateDb) FindUserFeedbackCate(page, limit string) (*[]model.UserFeedbackCate, error) {
	var m []model.UserFeedbackCate
	sess := u.Db.Where("1=1")
	start := (zhios_order_relate_utils.StrToInt(page) - 1) * zhios_order_relate_utils.StrToInt(limit)
	err := sess.Limit(zhios_order_relate_utils.StrToInt(limit), start).OrderBy("sort desc,id desc").Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
func (u UserFeedbackCateDb) FindUserFeedbackCateAndTotal(page, limit string) (*[]model.UserFeedbackCate, int64, error) {
	var m []model.UserFeedbackCate
	sess := u.Db.Where("1=1")
	start := (zhios_order_relate_utils.StrToInt(page) - 1) * zhios_order_relate_utils.StrToInt(limit)
	count, err := sess.Limit(zhios_order_relate_utils.StrToInt(limit), start).OrderBy("sort desc,id desc").FindAndCount(&m)
	if err != nil {
		return nil, count, zhios_order_relate_logx.Error(err)
	}
	return &m, count, nil
}
